package ec.app.regression.testcases;

public class F05Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 1;
	}

	@Override
	protected double function(final Double... x) {
		return Math.sin(x[0] * x[0]) * Math.cos(x[0]) - 1;
	}

	@Override
	public String getSymbolicRepresentation() {
		return "sin(x0 * x0) * cos(x0) - 1";
	}
}
